import rp from 'request-promise';

// URL na Food API - získání jídelních lístků restaurací
const foodUrl = process.env.FOOD_API_URL || 'http://localhost:3002';

export const fetchMenus = async () => {
    try {
        const json = await rp({ uri: foodUrl, qs: { "mock": process.env.MOCK_DATA } });
        return JSON.parse(json);
    } catch (error) {
        console.error("Chyba při volání Food API", error);
        return {};
    }
}